package lc.ris.client;

/**
 * This class implements a record for an individual entity within RIS. An entity might be of several different types.
 */
public class Entity {
    private final String entityId;
    private final String entityName;

    private String location;

    public Entity(String itemId, String entityName) {
        this.entityId = itemId;
        this.entityName = entityName;
    }

    /**
     * Return the ID for this entity.
     */
    public String getEntityId() {
        return entityId;
    }

    public String getEntityName() {
        return entityName;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }
}